From 2adf84066379c4b87d48bc186ea87617caaeff1e Mon Sep 17 00:00:00 2001
From: Justin Pryzby <pryzbyj@telsasoft.com>
Date: Thu, 14 Apr 2022 06:27:07 -0500
Subject: [PATCH 05/21] cirrus/macos: enable various runtime checks

cirrus CI can take a while to be schedule on macos, but the instance always has
many cores, so this is a good platform to enable options which will slow it
down.

See:
https://www.postgresql.org/message-id/20211217193159.pwrelhiyx7kevgsn@alap3.anarazel.de
https://www.postgresql.org/message-id/20211213211223.vkgg3wwiss2tragj%40alap3.anarazel.de
https://www.postgresql.org/message-id/CAH2-WzmevBhKNEtqX3N-Tkb0gVBHH62C0KfeTxXzqYES_PiFiA%40mail.gmail.com
https://www.postgresql.org/message-id/20220325000933.vgazz7pjk2ytj65d@alap3.anarazel.de

ci-os-only: macos
---
 .cirrus.yml | 1 +
 1 file changed, 1 insertion(+)

diff --git a/.cirrus.yml b/.cirrus.yml
index 2dea2d085cc..92f41a55271 100644
--- a/.cirrus.yml
+++ b/.cirrus.yml
@@ -321,6 +321,7 @@ task:
       CLANG="ccache ${brewpath}/llvm/bin/ccache" \
       CFLAGS="-Og -ggdb" \
       CXXFLAGS="-Og -ggdb" \
+      CPPFLAGS="-DRELCACHE_FORCE_RELEASE -DCOPY_PARSE_PLAN_TREES -DWRITE_READ_PARSE_PLAN_TREES -DRAW_EXPRESSION_COVERAGE_TEST" \
       \
       LLVM_CONFIG=${brewpath}/llvm/bin/llvm-config \
       PYTHON=python3
-- 
2.17.1

